searchData={"items":[{"type":"module","title":"os_process","doc":null,"ref":"os_process.html"},{"type":"function","title":"os_process.info/0","doc":"Return map with OS-specific information about current process. On UNIX-like OSes the map will contain: pid - process ID for the VM, returned value should be logically the same as os:getpid/0 , however it will be integer instead of string there. For more information see man 2 getpid . priority - map containing priorities for given process. It will contain 3 keys: process process_group user For more info see man 2 getpriority . pgid - process group ID. For more info see man 2 getpgid . parent_pid - process ID of the parent process. For more info see man 2 getppid . uid - user ID. For more info see man 2 getuid . gid - group ID. For more info see man 2 getgid . effective_uid - effective user ID. For more info see man 2 geteuid . effective_gid - effective group ID. For more info see man 2 getegid . On Windows it will contain: pid - process ID for the VM, returned value should be logically the same as os:getpid/0 , however it will be integer instead of string there. priority - map containing priorities for given process. It will contain 3 keys: class thread user_name - name of the owner of the process as binary.","ref":"os_process.html#info/0"},{"type":"function","title":"os_process.sizes/0","doc":"Return sizes (in bits) of the primitive values for a given system. byte - amount of bits in a byte, where byte is defined as minimal addressable piece of the memory. int - amount of bits in int C type. long - amount of bits in long C type. long_long - amount of bits in long long C type. ptr - amount of bits in C pointer type.","ref":"os_process.html#sizes/0"},{"type":"extras","title":"Overview","doc":"# `os_process`\n\nMissing piece of system information in OTP.\n\nThis is small library that allows users to fetch more information about the\ncurrent process from the OS. ERTS support only one information - process ID\n(that is strangely returned as a charlist).\n\nThis library exposes more info about process:\n\n- process ID (as integer)\n- priority\n- effective/real group/user ID (on Unixes)\n- user name (on Windows)\n\nIn addition to that, there is small helper function that also return C type\nsizes.","ref":"readme.html"},{"type":"extras","title":"License - Overview","doc":"[MIT](LICENSES/MIT.txt)\n\n<!--\nSPDX-FileCopyrightText: 2025 Łukasz Niemier <#@hauleth.dev>\n\nSPDX-License-Identifier: MIT\n-->","ref":"readme.html#license"},{"type":"extras","title":"License","doc":"MIT License\n\nCopyright (c)    \n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and \nassociated documentation files (the \"Software\"), to deal in the Software without restriction, including \nwithout limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell \ncopies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the \nfollowing conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial \nportions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT \nLIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO \nEVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER \nIN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE \nUSE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"mit.html"}],"proglang":"erlang","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}